<?php
    include_once("header.php");
    include_once("../config.php");
    include_once("validate.php");
    
    foreach ($_POST as $key => $value)
    { 
        $newValue = trim($value);
        if(get_magic_quotes_gpc())
        {
            $newValue = stripslashes($newValue);
        }
        $newValue = mysql_real_escape_string($newValue);
        $_POST[$key] = $newValue; 
    }
    
    $ip = $_POST["ip"];
    $port = $_POST["port"];
    $description = $_POST["description"];
    $password = $_POST["password"];
    
    $error = 0;
    if (strlen($ip) < 7 or strlen($ip) > 15)
    {
        $error = $error + 1;
    }
    if (!preg_match("/^([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(\.([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])){3}$/", $ip))
    {
        $error = $error + 2;
    }
    if ($port < 1 or $port > 65535)
    {
        $error = $error + 4;
    }
    if ($description == "")
    {
        $error = $error + 8;
    }
    if ($password == "")
    {
        $error = $error + 16;
    }
    
    if ($error == 0)
    {
        mysql_query('INSERT INTO servers(ip, port, description, password) VALUES ("'.$ip.'", "'.$port.'", "'.$description.'", "'.base64_encode($password).'")');
        header('Location: admin.php?mode=server');
    }
?>
<div class="block">
	<h1>Admin Panel</h1>
    <div class="block">
        <h2>Add Server</h2>
        <div class="block">
            <form name="serverform" action="addserver.php" method="post">
                Server IP:<br /><input type="text" name="ip" value="<?php echo $ip; ?>" />
                <?php
                    if ($error % 2 == 1)
                    {
                        echo "<span>Server IP should be of minimum length 7 and maximum length 15.</span>";
                        $error = $error - 1;
                    }
                    if ($error % 4 == 2)
                    {
                        echo "<span>Server IP should be correctly formatted, i.e. <strong>AAA.BBB.CCC.DDD</strong>.</span>";
                        $error = $error - 2;
                    }
                ?>
                <br /><br />
                Server Port:<br /><input type="text" name="port" value="<?php echo $port; ?>" />
                <?php
                    if ($error % 8 == 4)
                    {
                        echo "<span>Port number should be between 1 and 65535.</span>";
                        $error = $error - 4;
                    }
                ?>
                <br /><br />
                Server Description:<br /><input type="text" name="description" value="<?php echo $description; ?>" />
                <?php
                    if ($error % 16 == 8)
                    {
                        echo "<span>Description should be non-zero in length.</span>";
                        $error = $error - 8;
                    }
                ?>
                <br /><br />
                Server RCON Password:<br /><input type="text" name="password" value="" />
                <?php
                    if ($error % 32 == 16)
                    {
                        echo "<span>Password should be non-zero in length.</span>";
                        $error = $error - 16;
                    }
                ?>
                <br /><br />
                <input type="submit" />
            </form>
        </div>
    </div>
</div>       
<?php
    include_once("../layout/footer.php");
?>